Bug 1067288 - TECH DEBT: reduce size of zanata.war; exclude unused dependencies
TECH DEBT: reduce size of zanata.war; exclude unused dependencies
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Deployment, Maintainability (Show other bugs)
development
Unspecified Unspecified
medium Severity medium
: ---
: 3.5
Assigned To: Alex Eng
Damian Jansen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2014-02-20 01:36 EST by Sean Flanigan
Modified: 2015-01-26 18:28 EST (History)
3 users (show)

See Also:
Fixed In Version: zanata-war-3.5.0-SNAPSHOT
Doc Type: Bug Fix
Doc Text:
Story Points: 5
Clone Of:
Environment:
Last Closed: 2015-01-26 18:28:02 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sean Flanigan 2014-02-20 01:36:57 EST
Description of problem:

zanata.war is currently (as of v3.3) about 135MB, when it should probably be less than 50MB.  A large reason is the dependency jars in WEB-INF/lib.  We should check whether we need all our dependencies, both direct[1] and transitive.

Resources which may help:

http://www.jboss.org/tattletale
http://samulisiivonen.blogspot.com.au/2012/01/cleanin-up-maven-dependencies.html
http://mestachs.wordpress.com/2012/10/01/webs-fear-and-maven/

[1] We do use maven-dependency-plugin to check for unused direct dependencies, but the grandfathered dependencies in zanata-war/pom.xml need to be checked and either removed or commented.  maven-dependency-plugin does not check for unused transitive dependencies.
Comment 1 Alex Eng 2014-05-26 01:23:07 EDT
Pull request:
https://github.com/zanata/zanata-server/pull/463
Comment 2 Damian Jansen 2014-06-19 20:20:14 EDT
Down to 65MB. Good effort guys.
Comment 3 Sean Flanigan 2014-06-19 23:36:02 EDT
Unfortunately, I don't think it really shrank quite that much.  Some of our Jenkins builds enable more GWT permutations than others.  I think it's more like 100MB for a full build.

Note You need to log in before you can comment on or make changes to this bug.